% set up global parameters and data storage stuff.
global time_step
time_step = 0.01;
global duration
duration = 10.0;
global n_time_steps
n_time_steps = duration/time_step + 1;
global data_array
data_array(n_time_steps,9) = 0;
global store_data
% Speed things up by not storing data during optimization
store_data = -1;
global moment_of_inertia
moment_of_inertia = 0.334167;
global angle_desired
angle_desired = pi;
global mass
mass = 1;
global length
length = 1;
global g
g = 9.81;
global viscous_friction
viscous_friction = 0.1;
global state_penalty
state_penalty = 0.1;
global target
target = pi;

