% Here is an example of trying different starting points in parameter space
x0 = [ 1.6843  pi/2 4 0 ]
best_x = x0;
best_score = score_traj2(x0);
for i = 1:1000
 x00 = x0 + [ randn randn 2*randn 5*randn ];
 fprintf( 1, 'Starting at %g %g %g %g\n', x00(1), x00(2), x00(3), x00(4) );
 [x,fval]=fminsearch(@score_traj3,x00);
 fprintf( 1, 'Got %g at %g %g %g %g\n', fval, x(1), x(2), x(3), x(4) );
 if fval < best_score
  best_score = fval;
  best_x = x;
 end
 fprintf( 1, '\nBest so far: %g at %g %g %g %g\n\n', best_score, ...
     best_x(1), best_x(2), best_x(3), best_x(4) );

 % Now let's look at the data
 store_data = 1;
 score_traj2(best_x);
 jj = 1:300;
 plot(jj,data_array(jj,7),'b',jj,data_array(jj,2),'r')
end

% First result
%Starting at 1.61137 1.2402 2.31274 2.48885
%Got 9.36143 at 2.90834 1.2277 5.13312 -10.8243
%Best so far: 9.36143 at 2.90834 1.2277 5.13312 -10.8243
